Package org.eclipse.net4j.util.om

# Klasse LegacyUtil

java.lang.Object
org.eclipse.net4j.util.om.LegacyUtil

public final class LegacyUtil extends Object
Various static helper methods for dealing with `bundles` if OSGi `is not running`.

Autor:
  Eike Stepper

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`static String[]`
`getCommandLineArgs()`
`static void`
`setCommandLineArgs(String[] commandLineArgs)`
`static void`
`startBundles(OMBundle[] bundles)`
`static void`
`stopBundles(OMBundle[] bundles)`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Methodendetails

### getCommandLineArgs

public static String[] getCommandLineArgs() throws IllegalStateException

Löst aus:
  `IllegalStateException`
Seit:
  3.2

### setCommandLineArgs

public static void setCommandLineArgs(String[] commandLineArgs)

Seit:
  3.2

### startBundles

public static void startBundles(OMBundle[] bundles) throws Exception

Löst aus:
  `Exception`

### stopBundles

public static void stopBundles(OMBundle[] bundles) throws Exception

Löst aus:
  `Exception`